package com.jz.sms.chuanglan.service;

import com.jz.sms.chuanglan.dto.CLNotifyRequest;
import com.jz.sms.chuanglan.dto.CLSendFixedResponse;
import com.jz.sms.chuanglan.dto.CLTemplateResponse;
import com.jz.sms.dto.*;

import java.util.List;

public interface ChuanLanSmsService {


    CLTemplateResponse createTemplate(String content, String type) throws Exception;


    CLSendFixedResponse sendByFixed(String batchId, String content, List<String> phoneList, String type) throws Exception;


    CLSendFixedResponse sendByVariable(String batchId, String content, List<String> phoneList, String type) throws Exception;


    DmHubSendResponse sendBatchByFixed(DmHubSendRequest requestDTO);


    DmHubBatchSendResponse sendBatchByVariable(DmHubBatchSendRequest requestDTO);

    void asyncNotify(CLNotifyRequest notifyInfo);
}
